<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$mar = new Marcas;

switch($xaccion){
	
	case "adicionar": 
		if($mar->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Marca creada satisfactoriamente.")
			parent.location.href="../marcas.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($mar->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Marca modificada satisfactoriamente.")
			parent.location.href="../marcas.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":	
		if($vali->marcas($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
	
			if($mar->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Marca eliminada satisfactoriamente.")
				parent.location.href="../marcas.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($mar->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Marcas{

	//Adiciona registro
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"insert into marcas (mar_nombre, 
												  mar_abreviatura,
												  mar_usu_crea)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: LA MARCA YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php	
		}	
				
	}	

	//Modifica registro
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update marcas set mar_nombre = '$xnombres', 
												  mar_abreviatura = '$xabreviatura',
												  mar_usu_modifica = '$xusuario_sesion'
										where mar_codi = $xid;");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: LA MARCA YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php										
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from marcas where mar_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update marcas set mar_estado = '$xestado',
												 mar_usu_activa = '$xusuario_sesion' 
											where mar_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
